<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>{{ title }}</title>
    <meta name="description" content={{ description }}>
    <meta name="author" content="{{#authors}}{{ name }}, {{/authors}}">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="stylesheet" href="revealjs/css/reset.css">
    <link rel="stylesheet" href="revealjs/css/reveal.css">

    <!-- Theme used for syntax highlighting of code -->
    <link rel="stylesheet" href="prismjs/themes/prism-tomorrow.css">

    <!-- Tidy Styles -->
    <link rel="stylesheet" href="css/styles.css">

    <!-- Printing and PDF exports -->
    <script>
      var link = document.createElement( 'link' );
      link.rel = 'stylesheet';
      link.type = 'text/css';
      link.href = window.location.search.match( /print-pdf/gi ) ? 'revealjs/css/print/pdf.css' : 'revealjs/css/print/paper.css';
      document.getElementsByTagName( 'head' )[0].appendChild( link );
    </script>

    <!--[if lt IE 9]>
      <script src="lib/js/html5shiv.js"></script>
    <![endif]-->
  </head>
  <body>

    <div class="reveal">
      <div class="slides">

        <section class="section-title">
          <p>{{ course }}</p>
          <h1>{{ title }}</h1>
          {{#authors}}
            <h2> {{ name }} </h2>
            <br>
          {{/authors}}
        </section>

        {{> slides }}
      </div>
    </div>

    <script src="revealjs/reveal.js"></script>
    <script>
      Reveal.initialize({
        controls: true,
        progress: true,
        center: false,
        hash: true,
        history: true,
        width: 1280,
        height: 720,
        margin: 0.1,
        transition: 'slide', // none/fade/slide/convex/concave/zoom

        // More info https://github.com/hakimel/reveal.js#dependencies
        dependencies: [
          { src: 'revealjs/plugin/markdown/marked.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
          { src: 'revealjs/plugin/markdown/markdown.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
          { src: 'revealjs/plugin/highlight/highlight.js', async: true },
          // { src: 'revealjs/plugin/search/search.js', async: true },
          // { src: 'revealjs/plugin/zoom-js/zoom.js', async: true },
          { src: 'revealjs/plugin/notes/notes.js', async: true },
          { src: 'prismjs/prism.js', async: true }
          // { src: 'https://platform.twitter.com/widgets.js', async: true }
        ]
      })
    </script>
  </body>
</html>
